StackFrameDataToken
Keywords: net.corda.core.flows.StackFrameDataToken class
Date: 2023-09-18

net.corda.core.flows

## Class StackFrameDataToken

- net.corda.core.flows.StackFrameDataToken

-     public class StackFrameDataToken

  Token class, used to indicate stack presence of the corda internal data. Since this data is of no use for a CordApp developer, it is skipped from serialisation and its presence is only marked by this token.

- - ### Constructor Detail

    - #### StackFrameDataToken

          public StackFrameDataToken(@NotNull
                                     java.lang.String className)

      Token class, used to indicate stack presence of the corda internal data. Since this data is of no use for a CordApp developer, it is skipped from serialisation and its presence is only marked by this token.

  - ### Method Detail

    - #### getClassName

          @NotNull
          public java.lang.String getClassName()

    - #### component1

          @NotNull
          public java.lang.String component1()

    - #### copy

          @NotNull
          public StackFrameDataToken copy(@NotNull
                                                   java.lang.String className)

      Token class, used to indicate stack presence of the corda internal data. Since this data is of no use for a CordApp developer, it is skipped from serialisation and its presence is only marked by this token.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Token class, used to indicate stack presence of the corda internal data. Since this data is of no use for a CordApp developer, it is skipped from serialisation and its presence is only marked by this token.

    - #### hashCode

          public int hashCode()

      Token class, used to indicate stack presence of the corda internal data. Since this data is of no use for a CordApp developer, it is skipped from serialisation and its presence is only marked by this token.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Token class, used to indicate stack presence of the corda internal data. Since this data is of no use for a CordApp developer, it is skipped from serialisation and its presence is only marked by this token.